xmonad-contrib-0.15: Third party extensions for xmonad

Copyright | (c) Peter De Wachter
License | BSD-style (see LICENSE)
Maintainer | Peter De Wachter <pdewacht@gmail.com>
Stability | unstable
Portability | unportable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.Circle

Contents

- Usage

Description

Circle is an elliptical, overlapping layout, by Peter De Wachter

Synopsis

- data Circle a = Circle

# Usage

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.Circle

Then edit your `layoutHook` by adding the Circle layout:

    myLayout = Circle ||| Full ||| etc..
    main = xmonad def { layoutHook = myLayout }

For more detailed instructions on editing the layoutHook see:

XMonad.Doc.Extending

data Circle a Source #

Constructors

Circle |

Instances

LayoutClass Circle Window Source # |

Instance details

Defined in XMonad.Layout.Circle

Methods

runLayout :: Workspace WorkspaceId (Circle Window) Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (Circle Window)) Source #

doLayout :: Circle Window -> Rectangle -> Stack Window -> X ([(Window, Rectangle)], Maybe (Circle Window)) Source #

pureLayout :: Circle Window -> Rectangle -> Stack Window -> [(Window, Rectangle)] Source #

emptyLayout :: Circle Window -> Rectangle -> X ([(Window, Rectangle)], Maybe (Circle Window)) Source #

handleMessage :: Circle Window -> SomeMessage -> X (Maybe (Circle Window)) Source #

pureMessage :: Circle Window -> SomeMessage -> Maybe (Circle Window) Source #

description :: Circle Window -> String Source #

Read (Circle a) Source # |
Instance details Defined in XMonad.Layout.Circle Methods readsPrec :: Int -> ReadS (Circle a) Source # readList :: ReadS [Circle a] Source # readPrec :: ReadPrec (Circle a) Source # readListPrec :: ReadPrec [Circle a] Source #
Show (Circle a) Source # |
Instance details Defined in XMonad.Layout.Circle Methods showsPrec :: Int -> Circle a -> ShowS Source # show :: Circle a -> String Source # showList :: [Circle a] -> ShowS Source #